﻿body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
}

.header-container {
    position: absolute;
    top: 0px;
    width: 100%;
    height: 50px;
    z-index: 1000;
    background-color: rgba(255, 255, 255, 0.85);
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
    font-family: 'Open Sans';
    color: #97979B;
}

.header-logo {
    margin: 5px;
    height: 40px;
    vertical-align: top;
}

.header-title {
    font-size: 24pt;
    font-weight: bold;
    margin: 2px 0 0 10px;
    display: inline-block;
}

.header-basemaps {
    position: absolute;
    right: 0px;
    top: 25px;
}

    .header-basemaps span {
        cursor: pointer;
        margin-right: 10px;
        font-weight: bold;
        font-size: 12pt;
    }

#mapDiv {
    height: 100%;
    height: 100%;
}

.esriSimpleSlider {
    border: 1px solid #cccccc;
    top: 65px;
    left: 15px;
}

.esriSimpleSliderVertical .esriSimpleSliderIncrementButton,
.esriSimpleSliderVertical .esriSimpleSliderDecrementButton {
    font-weight: 500;
    font-size: 20px;
    line-height: 27px;
}

.esriSimpleSliderVertical .esriSimpleSliderIncrementButton {
    border-bottom: 1px solid #cccccc;
}

.esriPopupWrapper {
    font-family: 'Open Sans' !important;
    font-size: 10pt;
}

    .esriPopupWrapper .titlePane {
        background-color: #97979B;
        border-color: #97979B;
    }

    .esriPopupWrapper .maximize {
        display: none;
    }

#homeButton {
    position: absolute;
    top: 135px;
    left: 14px;
    z-index: 50;
}

#locateButton {
    position: absolute;
    top: 175px;
    left: 14px;
    z-index: 50;
}

#searchDiv {
    position: absolute;
    left: 60px;
    top: 65px;
    z-index: 100;
}

.widget-container {
    font-family: 'Open Sans';
    background-clip: padding-box;
    background-color: rgba(255, 255, 255, 0.85);
    border: 2px solid rgba(0, 0, 0, 0.3);
    border-radius: 4px;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.176);
    padding: 5px;
}

.widget-summary {
    bottom: 10px;
    height: 250px;
    left: 10px;
    position: absolute;
    width: 550px;
    z-index: 1000;
}
.widget-summary .header {
    font-size: 12pt;
    font-weight: bold;
    color: #97979b;
}
.widget-summary .header .reset {
    font-weight: normal;
    text-decoration: none;
}
.widget-summary .nodata{
    display: none;
    left: 100px;
    position: absolute;
    top: 100px;
}
.widget-summary svg{
    padding-top: 10px;
    height: 220px !important;
}
.dc-chart .axis.x g text {
    text-anchor: end !important;
}

.widget-count  {
    top: 65px;
    right: 10px;
    position: absolute;
    padding: 10px;
    z-index: 1000;
    color: #97979b;
    font-family: "Open Sans";
    font-size: 12pt;
    font-weight: bold;
    line-height: 1.2em;
}

.widget-count .label {
    vertical-align: middle;
}


/* Restyling at small screen*/
@media screen and (max-width: 760px) {
    /* Header */
    .header-title {
        font-size: 12pt;
    }
    /* Map controls */
    .esriSimpleSlider {
        left: 5px;
        top: 55px;
    }
    #searchDiv {
        left: 45px;
        top: 55px;
    }
    #homeButton {
        left: 4px;
        top: 125px;
    }
    #locateButton {
        left: 4px;
        top: 165px;
    }
    /* Graph - hide */
    .widget-summary {
        display: none;
    }
    /* Summary */
    .widget-count {
        bottom: 10px;
        left: 10px;
        padding: 3px;
        top: auto;
        right: auto;
    }
}
